package istia.st.springmvc.personnes.tests;

import istia.st.springmvc.personnes.dao.IDao;

import java.util.Collection;
import java.util.Iterator;

import org.springframework.beans.factory.xml.XmlBeanFactory;
import org.springframework.core.io.ClassPathResource;

public class MainTestDaoFirebird {
	public static void main(String[] args) {
		IDao dao = (IDao) (new XmlBeanFactory(new ClassPathResource(
				"spring-config-test-dao-firebird.xml"))).getBean("dao");
		// liste actuelle
		Collection personnes = dao.getAll();
		// affichage console
		Iterator iter = personnes.iterator();
		while (iter.hasNext()) {
			System.out.println(iter.next());
		}
	}
}
