package istia.st.springmvc.personnes.tests;

import java.util.Date;

import istia.st.springmvc.personnes.dao.IDao;
import istia.st.springmvc.personnes.entites.Personne;

public class ThreadDaoInsertPersonne extends Thread {
	// nom du thread
	private String name;

	// rfrence sur la couche [dao]
	private IDao dao;

	// l'id de la personne sur qui on va travailler
	private Personne personne;

	// constructeur
	public ThreadDaoInsertPersonne(String name, IDao dao, Personne personne) {
		this.name = name;
		this.dao = dao;
		this.personne = personne;
	}

	// coeur du thread
	public void run() {
		// suivi
		suivi("lanc");
		// insertion
		dao.saveOne(personne);
		// suivi
		suivi("a termin");
	}

	// suivi
	private void suivi(String message) {
		System.out.println(name + " [" + new Date().getTime() + "] : "
				+ message);
	}
}