package istia.st.springmvc.personnes.tests;

import java.util.Date;

import istia.st.springmvc.personnes.entites.Personne;
import istia.st.springmvc.personnes.service.IService;

public class ThreadServiceInsertPersonne extends Thread {
	// nom du thread
	private String name;

	// rfrence sur la couche [service]
	private IService service;

	// l'id de la personne sur qui on va travailler
	private Personne personne;

	// constructeur
	public ThreadServiceInsertPersonne(String name, IService service,
			Personne personne) {
		this.name = name;
		this.service = service;
		this.personne = personne;
	}

	// coeur du thread
	public void run() {
		// suivi
		suivi("lanc");
		// insertion
		service.saveOne(personne);
		// suivi
		suivi("a termin");
	}

	// suivi
	private void suivi(String message) {
		System.out.println(name + " [" + new Date().getTime() + "] : "
				+ message);
	}
}