<%@ page language="java" pageEncoding="ISO-8859-1" contentType="text/html;charset=ISO-8859-1"%>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/spring.tld" prefix="spring" %>
<%@ page isELIgnored="false" %>

<html>
	<head>
		<title>Spring-mvc : Personnes</title>
	</head>
	<body background="../ressources/standard.jpg">
		<h2>Ajout/Modification d'une personne</h2>
		<spring:bind path="personne">
			<c:if test="${status.error}">
				<h3>Les erreurs suivantes se sont produites :</h3>
				<ul>
					<c:forEach items="${status.errorMessages}" var="erreur">
						<li><c:out value="${erreur}"/></li>
					</c:forEach>
				</ul>
				<hr>
			</c:if>
		</spring:bind>
		<form method="post" action="<c:url value="/edit.html"/>">
			<table border="1">
				<tr>
					<td>Id</td>
					<td>${personne.id}</td>
				</tr>
				<tr>
					<td>Version</td>
					<td>${personne.version}</td>
				</tr>
				<tr>
					<td>Pr&eacute;nom</td>
					<spring:bind path="personne.prenom">
						<td>
							<input type="text" value="${status.value}" name="${status.expression}" size="20">
						</td>
						<td>${status.errorMessage}</td>
					</spring:bind>
				</tr>
				<tr>
					<td>Nom</td>
					<spring:bind path="personne.nom">
						<td>
							<input type="text" value="${status.value}" name="${status.expression}" size="20">
						</td>
						<td>${status.errorMessage}</td>
					</spring:bind>
				</tr>
				<tr>
					<td>Date de naissance (JJ/MM/AAAA)</td>
					<spring:bind path="personne.dateNaissance">
						<td>
							<input type="text" value="${status.value}" name="${status.expression}">
						</td>
						<td>${status.errorMessage}</td>
					</spring:bind>
				</tr>
				<tr>
					<td>Mari&eacute;</td>
					<td>
						<c:choose>
							<c:when test="${personne.marie}">
								<input type="radio" name="marie" value="true" checked>Oui
								<input type="radio" name="marie" value="false">Non
							</c:when>
							<c:otherwise>
								<input type="radio" name="marie" value="true">Oui
								<input type="radio" name="marie" value="false" checked>Non
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
				<tr>
					<td>Nombre d'enfants</td>
					<spring:bind path="personne.nbEnfants">
						<td>
							<input type="text" value="${status.value}" name="${status.expression}">
						</td>
						<td>${status.errorMessage}</td>
					</spring:bind>
				</tr>
			</table>
			<br>
			<input type="hidden" value="${personne.id}" name="id">
			<input type="submit" value="Valider">
			<a href="<c:url value="/list.html"/>">Annuler</a>
		</form>
	</body>
</html>
